Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.html
Class CenteredElement

    java.lang.Object
      |
      +--weblogic.html.HtmlElement
            |
            +--weblogic.html.ElementWithAttributes
                  |
                  +--weblogic.html.SinglePartElement
                        |
                        +--weblogic.html.CenteredElement

Deprecated. Use DivElement.setCentered()

public class CenteredElement
extends SinglePartElement

A CenteredElement centers an HtmlElement or a string in the center of the current line. It is a block-level element, that is, it introduces a new paragraph in versions of HTML after 2.0. (For older browsers, this may not be the case.)

Use a CenteredElement as the argument for any of the addElement() methods. You can also add centered elements with the asCenteredElement() method in the parent class HtmlElement.

Examples of adding CenteredElements to the body of an htmlKona page called "hp":

        hp.addElement(new CenteredElement("Today in the News"));

or,

        hp.addElement(new StringElement(filename).asCenteredElement());

Prefer setting the ALIGN attribute to center for headings, divisions, and paragraphs. Some browsers do not support this tag.

The HTML CENTER element is deprecated in HTML 4.0 in favor of the DIV element with align set to "center". htmlKona will continue to support CenteredElement, but not all browsers may display this HTML element properly. Prefer DivElement.setCentered().

Author:
  Copyright (c) 1995-1998 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1998-1999 by BEA Systems, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `DivElement.setCentered()`

Fields inherited from class weblogic.html.HtmlElement
`codeset, useObsolete`

Constructor Summary
`CenteredElement()` Deprecated. Constructs a CenteredElement.
`CenteredElement(HtmlElement val)` Deprecated. Constructs a CenteredElement with the specified HtmlElement.
`CenteredElement(java.lang.String val)` Deprecated. Constructs a CenteredElement with the specified string.

Method Summary
`protected java.lang.String` | `getHtmlCode()` Deprecated.
`protected boolean` | `printCR()` Deprecated.

Methods inherited from class weblogic.html.SinglePartElement
`getElement, printBody, printBody, printBody, setElement, setElement, widthAsLiteral`

Methods inherited from class weblogic.html.ElementWithAttributes
`addAttribute, addAttribute, escapeQuotes, getBooleanAttribute, getElementAttribute, getLocalVar, getQuotedAttribute, output, output, output, printBody, printEndingTag, setBooleanAttribute, setBooleanAttribute, setClass, setDirection, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setId, setLang, setLocalVar, setQuotedAttribute, setStyle`

Methods inherited from class weblogic.html.HtmlElement
`asAnchorElement, asBigElement, asBlockquoteElement, asBoldElement, asCenteredElement, asCiteElement, asCodeElement, asCommentElement, asDefineTermElement, asEmphasisElement, asFontElement, asFontElement, asFontElement, asHtmlContainer, asItalicElement, asKeyboardElement, asLiteralElement, asParagraphElement, asSampleElement, asSmallElement, asStrikeElement, asStrongElement, asSubscriptElement, asSuperscriptElement, asTeletypeElement, asUnderlineElement, asVariableElement, getVersion, setAnchorMode, setCodeset, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CenteredElement

    public CenteredElement()

  Deprecated.
  Constructs a CenteredElement.

### CenteredElement

    public CenteredElement(java.lang.String val)

  Deprecated.
  Constructs a CenteredElement with the specified string.

  Parameters:
    `val` - String

### CenteredElement

    public CenteredElement(HtmlElement val)

  Deprecated.
  Constructs a CenteredElement with the specified HtmlElement.

  Parameters:
    `val` - HtmlElement

Method Detail

### getHtmlCode

    protected java.lang.String getHtmlCode()

  Deprecated.

  Overrides:
    getHtmlCode in class ElementWithAttributes

### printCR

    protected boolean printCR()

  Deprecated.

  Overrides:
    printCR in class ElementWithAttributes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD